<!--
******************************************************************************
* Copyright © 2017-2018 PTA GmbH.
* All rights reserved. This program and the accompanying materials
* are made available under the terms of the Eclipse Public License v1.0
* which accompanies this distribution, and is available at
* 
*     http://www.eclipse.org/legal/epl-v10.html
* 
******************************************************************************
-->

<div class="overview-body">
  <div style="min-width: 1048px; overflow: auto">
    <div
      *ngIf="sessionContext.bannerMessage.isActive"
      [ngClass]="{
        'alert': true,
        'alert-danger':
          sessionContext.bannerMessage.status === bannerMessageStatus.error,
        'alert-info':
          sessionContext.bannerMessage.status === bannerMessageStatus.info,
        'alert-warning':
          sessionContext.bannerMessage.status === bannerMessageStatus.warning,
        'alert-success': bannerMessageStatus.success
      }"
    >
      <div class="close" (click)="sessionContext.bannerMessage.hide()">x</div>
      {{ sessionContext.bannerMessage.text }}
    </div>
    <div class="maincontent">
      <div class="row">
        <div class="col-xs-6">
          <span style="font-size: 30px">Archivierte Schichtübergaben</span>
        </div>
      </div>
      <div class="panel-group" style="width: 50%">
        <app-historical-shift-changes
          (shiftChangeSelectedEmitter)="shiftChangeDateSelected($event)"
        ></app-historical-shift-changes>
      </div>
      <app-responsibility
        onclick="return false"
        [withButtons]="false"
        [withNames]="true"
        [responsiblitySelection]="responsibilitiesContainer"
      ></app-responsibility>
      <app-future-notifications
        [shiftChangeTransactionId]="shiftChangeTransactionId"
        [withEditButtons]="false"
        [isCollapsible]="true"
        [withDatePicker]="false"
        [stayHidden]="false"
        [gridId]="'ShiftFutureNot'"
      ></app-future-notifications>
      <app-open-notifications
        [shiftChangeTransactionId]="shiftChangeTransactionId"
        [withEditButtons]="false"
        [isCollapsible]="true"
        [withDatePicker]="false"
        [stayHidden]="false"
        [gridId]="'ShiftOpenNot'"
      ></app-open-notifications>
      <app-finished-notifications
        [shiftChangeTransactionId]="shiftChangeTransactionId"
        [withEditButtons]="false"
        [isCollapsible]="true"
        [withDatePicker]="false"
        [stayHidden]="false"
        [gridId]="'ShiftFinishedNot'"
      ></app-finished-notifications>
    </div>
  </div>
</div>
